<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX Tutorials: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html"><span>All</span></a></li>
      <li class="current"><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="#index_b"><span>b</span></a></li>
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_l"><span>l</span></a></li>
      <li><a href="#index_p"><span>p</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li><a href="#index_t"><span>t</span></a></li>
      <li><a href="#index_v"><span>v</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index_b">- b -</a></h3><ul>
<li>bmp_file_read()
: <a class="el" href="bmp__rd__wr_8h.html#a9fd09ad0e348951c4af9dbb4c852cfd5">bmp_rd_wr.h</a>
</li>
<li>bmp_file_read_release()
: <a class="el" href="bmp__rd__wr_8h.html#a2a612b23e595a4ac11ba207c88c03be6">bmp_rd_wr.h</a>
</li>
<li>bmp_file_write()
: <a class="el" href="bmp__rd__wr_8h.html#a34dec5bef3b7ecc629d59645b1c6306e">bmp_rd_wr.h</a>
</li>
</ul>


<h3><a class="anchor" id="index_c">- c -</a></h3><ul>
<li>convert_distribution_to_image()
: <a class="el" href="vx__tutorial__image__histogram_8c.html#ae444e5c191e73db9a523c43b76a7478c">vx_tutorial_image_histogram.c</a>
</li>
<li>create_generic_node()
: <a class="el" href="utility_8h.html#a36ad9bddac69149adf86bef3855e8ecc">utility.h</a>
</li>
<li>create_image_from_file()
: <a class="el" href="utility_8h.html#af8e9cbbd49ab0dec7850267224548cd6">utility.h</a>
, <a class="el" href="vx__tutorial__image__load__save_8c.html#af8e9cbbd49ab0dec7850267224548cd6">vx_tutorial_image_load_save.c</a>
</li>
</ul>


<h3><a class="anchor" id="index_l">- l -</a></h3><ul>
<li>load_image_from_file()
: <a class="el" href="utility_8h.html#abb1f44b0f70eb1480ce3ed7dc7bf4e62">utility.h</a>
, <a class="el" href="vx__tutorial__image__load__save_8c.html#abb1f44b0f70eb1480ce3ed7dc7bf4e62">vx_tutorial_image_load_save.c</a>
</li>
<li>load_image_from_handle_from_file()
: <a class="el" href="vx__tutorial__image__crop__roi_8c.html#a4295a6029fd44a53594f2886c414902d">vx_tutorial_image_crop_roi.c</a>
</li>
</ul>


<h3><a class="anchor" id="index_p">- p -</a></h3><ul>
<li>phase_rgb_user_kernel_add()
: <a class="el" href="phase__rgb__user__kernel_8c.html#a5e51581ab691a0e9037aed069be8495b">phase_rgb_user_kernel.c</a>
, <a class="el" href="phase__rgb__user__kernel_8h.html#a5e51581ab691a0e9037aed069be8495b">phase_rgb_user_kernel.h</a>
</li>
<li>phase_rgb_user_kernel_add_as_target_kernel()
: <a class="el" href="phase__rgb__user__kernel_8c.html#aba18efe50f3602ef221480ead3cf5879">phase_rgb_user_kernel.c</a>
</li>
<li>phase_rgb_user_kernel_add_as_user_kernel()
: <a class="el" href="phase__rgb__user__kernel_8c.html#a7c691dea4f45ce5f916b8a85755bd96a">phase_rgb_user_kernel.c</a>
</li>
<li>phase_rgb_user_kernel_deinit()
: <a class="el" href="phase__rgb__user__kernel_8c.html#a1d9397bcd330123d495c6990f18f1015">phase_rgb_user_kernel.c</a>
</li>
<li>phase_rgb_user_kernel_init()
: <a class="el" href="phase__rgb__user__kernel_8c.html#a7d7d2c869a100813bc3bf0ca85808a99">phase_rgb_user_kernel.c</a>
</li>
<li>phase_rgb_user_kernel_node()
: <a class="el" href="phase__rgb__user__kernel_8h.html#a88488bc22b7681a4c2ad9cc7e80bd214">phase_rgb_user_kernel.h</a>
, <a class="el" href="phase__rgb__user__kernel_8c.html#a88488bc22b7681a4c2ad9cc7e80bd214">phase_rgb_user_kernel.c</a>
</li>
<li>phase_rgb_user_kernel_remove()
: <a class="el" href="phase__rgb__user__kernel_8h.html#a25ca1ab2d5d29d7d84d81ddc366a464c">phase_rgb_user_kernel.h</a>
, <a class="el" href="phase__rgb__user__kernel_8c.html#a25ca1ab2d5d29d7d84d81ddc366a464c">phase_rgb_user_kernel.c</a>
</li>
<li>phase_rgb_user_kernel_run()
: <a class="el" href="phase__rgb__user__kernel_8c.html#aaab492fc8853c4a4d487b39d80676a25">phase_rgb_user_kernel.c</a>
</li>
<li>phase_rgb_user_kernel_validate()
: <a class="el" href="phase__rgb__user__kernel_8c.html#afb3302e5e0e9ec44562c7aaefdac5758">phase_rgb_user_kernel.c</a>
</li>
</ul>


<h3><a class="anchor" id="index_s">- s -</a></h3><ul>
<li>save_image_to_file()
: <a class="el" href="utility_8h.html#a2ffb77a8e510c0236b07306d0eb47a30">utility.h</a>
, <a class="el" href="vx__tutorial__image__load__save_8c.html#a2ffb77a8e510c0236b07306d0eb47a30">vx_tutorial_image_load_save.c</a>
</li>
<li>show_graph_attributes()
: <a class="el" href="vx__tutorial__image__color__convert_8c.html#a86ae0d04d187710cc2d10f85bccb6e5d">vx_tutorial_image_color_convert.c</a>
, <a class="el" href="utility_8h.html#a86ae0d04d187710cc2d10f85bccb6e5d">utility.h</a>
</li>
<li>show_image_attributes()
: <a class="el" href="utility_8h.html#ade45042efce712b30cf8254a6c90b3bc">utility.h</a>
, <a class="el" href="vx__tutorial__image__query_8c.html#ade45042efce712b30cf8254a6c90b3bc">vx_tutorial_image_query.c</a>
</li>
<li>show_node_attributes()
: <a class="el" href="vx__tutorial__image__color__convert_8c.html#a4576aae15198e9645228f21be4290cff">vx_tutorial_image_color_convert.c</a>
, <a class="el" href="utility_8h.html#a4576aae15198e9645228f21be4290cff">utility.h</a>
</li>
</ul>


<h3><a class="anchor" id="index_t">- t -</a></h3><ul>
<li>tivxRegisterTutorialTargetKernels()
: <a class="el" href="vx__tutorial__target__kernel_8c.html#adde4ded9815b3fab321bd2c0e67feb39">vx_tutorial_target_kernel.c</a>
</li>
<li>tivxUnRegisterTutorialTargetKernels()
: <a class="el" href="vx__tutorial__target__kernel_8c.html#a284eda97cb09e9867b9e3607d7b4cfff">vx_tutorial_target_kernel.c</a>
</li>
</ul>


<h3><a class="anchor" id="index_v">- v -</a></h3><ul>
<li>vx_tutorial_graph_image_gradients()
: <a class="el" href="vx__tutorial__graph__image__gradients_8c.html#a838f2ff5f2c2496ad0fee70c0c93f2b6">vx_tutorial_graph_image_gradients.c</a>
</li>
<li>vx_tutorial_graph_image_gradients_pytiovx()
: <a class="el" href="vx__tutorial__graph__image__gradients__pytiovx_8c.html#af07f015477a25ed860bbd03acc8204ff">vx_tutorial_graph_image_gradients_pytiovx.c</a>
</li>
<li>vx_tutorial_graph_user_kernel()
: <a class="el" href="vx__tutorial__graph__user__kernel_8c.html#a8820fe10988a7eae08a86a7abd6308ea">vx_tutorial_graph_user_kernel.c</a>
</li>
<li>vx_tutorial_graph_user_kernel_pytiovx()
: <a class="el" href="vx__tutorial__graph__user__kernel__pytiovx_8c.html#a08ebb111969e2e91e4d36366d138d6ea">vx_tutorial_graph_user_kernel_pytiovx.c</a>
</li>
<li>vx_tutorial_image_color_convert()
: <a class="el" href="vx__tutorial__image__color__convert_8c.html#ad2b8fd09b4afa65ad14e89f0a9513f11">vx_tutorial_image_color_convert.c</a>
</li>
<li>vx_tutorial_image_crop_roi()
: <a class="el" href="vx__tutorial__image__crop__roi_8c.html#a2e40fa229aa1f3c5666a2c8f36de0e1d">vx_tutorial_image_crop_roi.c</a>
</li>
<li>vx_tutorial_image_extract_channel()
: <a class="el" href="vx__tutorial__image__extract__channel_8c.html#a60cb60cf502b64d0cc7332e95ff625bd">vx_tutorial_image_extract_channel.c</a>
</li>
<li>vx_tutorial_image_histogram()
: <a class="el" href="vx__tutorial__image__histogram_8c.html#a75d1187d2819241e7b25bca97d5da7d3">vx_tutorial_image_histogram.c</a>
</li>
<li>vx_tutorial_image_load_save()
: <a class="el" href="vx__tutorial__image__load__save_8c.html#a9de340eb905bd0b735ec6f0471314c85">vx_tutorial_image_load_save.c</a>
</li>
<li>vx_tutorial_image_query()
: <a class="el" href="vx__tutorial__image__query_8c.html#a399d33511e4fca5b42322b28f85d93f7">vx_tutorial_image_query.c</a>
</li>
<li>vxTutorialAddTargetKernelPhaseRgb()
: <a class="el" href="phase__rgb__target__kernel_8c.html#aa8d4aa689401f9c9c575082455a0c4bb">phase_rgb_target_kernel.c</a>
, <a class="el" href="vx__tutorial__target__kernel_8c.html#aa8d4aa689401f9c9c575082455a0c4bb">vx_tutorial_target_kernel.c</a>
</li>
<li>vxTutorialRemoveTargetKernelPhaseRgb()
: <a class="el" href="vx__tutorial__target__kernel_8c.html#a19db36fd62a30ed433d818de092094ee">vx_tutorial_target_kernel.c</a>
, <a class="el" href="phase__rgb__target__kernel_8c.html#a19db36fd62a30ed433d818de092094ee">phase_rgb_target_kernel.c</a>
</li>
<li>vxTutotrialPhaseRgb()
: <a class="el" href="phase__rgb__target__kernel_8c.html#aa7f2b3c5cb1853a9e491483616a93fe8">phase_rgb_target_kernel.c</a>
</li>
<li>vxTutotrialPhaseRgbControl()
: <a class="el" href="phase__rgb__target__kernel_8c.html#a5920f42e3995c3ef87e71d0f30db904e">phase_rgb_target_kernel.c</a>
</li>
<li>vxTutotrialPhaseRgbCreate()
: <a class="el" href="phase__rgb__target__kernel_8c.html#ab934a0610fc7f8ddaac5e4956694965f">phase_rgb_target_kernel.c</a>
</li>
<li>vxTutotrialPhaseRgbDelete()
: <a class="el" href="phase__rgb__target__kernel_8c.html#ad4beb7eefc9e7e11cb3a29b7a0f827bf">phase_rgb_target_kernel.c</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
